Subject: bug#46775: 27.1; ERC: Track: Modified channels doc and `erc-track-find-face' fixes

From: Olivier Certner <[email-masked]>
Date: Thu, 25 Feb 2021 18:14:25 +0100

Several small documentation changes and one minor fix.  List of (separate) 
changes:
1. Fix documentation of `erc-modified-channels-alist' about its structure.
2. Fix documentation of `erc-modified-channels-alist' about which channels it 
contains and when.  Add references to docstring of `erc-make-mode-line-buffer-
name'.
3. Rewrite `erc-track-find-face' to clarify what it does (& minor performance 
improvement; no functional changes).
4. `erc-track-modified-channels': Fix a perceived bug in the use of `erc-
track-find-face' (changes mode line faces selection in some cases).

URL and branch of the repository having the corresponding patches to be posted 
after the bug is open. Changes rebased on master.

-- 
Olivier Certner